<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Repository;

use App\Scolarite\Domain\Model\HomeworkSubmission\HomeworkSubmissionId;
use App\Scolarite\Domain\Model\HomeworkSubmission\SubmissionAttachment;

interface SubmissionAttachmentRepository
{
    /** @return array<SubmissionAttachment> */
    public function findBySubmissionId(HomeworkSubmissionId $submissionId): array;

    public function save(HomeworkSubmissionId $submissionId, SubmissionAttachment $attachment): void;

    public function delete(HomeworkSubmissionId $submissionId, SubmissionAttachment $attachment): void;
}
